using UnityEngine;
public class Character
{
    public Team Team { get; set; }
    public float LastTimeHit = 0;
    public CharacterCondition Condition;

    public Character()
    {
        Condition = new CharacterCondition();
    }

    public void ResetCharacter()
    {

    }
}

public interface ICharacter
{
    Character GetCharacter { get; }
}